@font-face {
    font-family: "APJapanesefont";
    src: url('./APJapanesefont.woff2') format('woff2');
}

@font-face {
    font-family: "LINESeedJP";
    src: url('./LINESeedJP_OTF_Bd.woff2') format('woff2');
    font-weight: bold;
}

::selection {
    color: #fff;
    background-color: #9659a7;
}

body {
    font-family: "APJapanesefont";
}

#top-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    font-size: 30px;
    color: white;
    text-align: center;
    margin: auto;
}

#movie-player {
    filter: brightness(30%);
    pointer-events: none;
    width: 100%;
    min-height: 100vh;
    position: relative;
    z-index: 0;
}

.about {
    width: 100%;
    padding: 100px 50px 0 50px;
    background-color: #BB6FD1;
    color: white;
}

.bbox {
    display: flex;
    margin-top: 100px;
}

.box {
    display: block;
}

.main-visual-img {
    margin-left: auto;
    width: 900px;
    height: auto;
    opacity: 0;
}


.move1 {
    animation: slideIn 1s cubic-bezier(0.25, 1, 0.5, 1) forwards;
    animation-delay: .25s;
}

@keyframes slideIn {
    0% {
        transform: translateX(180px);
        opacity: 0;
    }

    100% {
        transform: translateX(0);
    }

    40%,
    100% {
        opacity: 1;
    }
}

.about_text {
    font-size: 150px;
    text-align: center;
}

.name {
    font-size: 100px;
    margin-bottom: 100px;
}

.text {
    font-size: 30px;
    line-height: 2;
}

.about button {
    border-radius: 10px;
    border: 2px white solid;
    padding: 10px;
    margin-right: 10px;
    font-size: 20px;
    transition: all .25s;
}

.about button:hover {
    background-color: white;
    color: #BB6FD1;
}

.content1,
.content2 {
    font-size: 20px;
}

.more {
    margin: 100px 0;
    width: 100%;
}

.dock {
    display: flex;
    padding: 20px 0px 2px 20px;
    border-bottom: #9659a7 solid 3px;
    width: 100%;
}

.content1 {
    width: 250px;
}

.content2 {
    width: 100%;
}







.tags {
    max-width: 1920px;
    width: 40%;
    margin: 100px auto;
    padding: 0 50px;
}

.content21,
.content22 {
    font-size: 50px;
}

.content21 {
    width: 300px;
}

.content22 {
    width: 100%;
}

.title {
    font-size: 100px;
    text-align: center;
    /* font-family: "LINESeedJP"; */
    /* color: #9659a7; */
}

.cts {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.content {
    margin: 50px;
    background-color: #BB6FD1;
    color: white;
    text-align: center;
    border-radius: 30px;
    width: 600px;
    padding: 25px;
    opacity: 0;
}

.move {
    /* opacity: 1; */
    animation: popup 1s cubic-bezier(0.22, 1, 0.36, 1) forwards;
    animation-delay: .25s;
}

.move2 {
    opacity: 1;
    animation: popup 1s cubic-bezier(0.22, 1, 0.36, 1) forwards;
    animation-delay: .25s;
}

@keyframes popup {
    0% {
        transform: translateY(60px) scale(0.5);
        opacity: 0;
    }

    100% {
        transform: translateY(0) scale(1.0);
    }

    80%,
    100% {
        opacity: 1;
    }
}


.com {
    background-color: #9659a7;
    width: 100%;
    height: 315px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.com p {
    font-size: 50px;
}


.content iframe {
    width: 100%;
    border-radius: 10px;
}

.t1 {
    font-size: 50px;
}

.t2 {
    font-size: 50px;
}

.t3 {
    font-size: 25px;
}

/* ここからMMD */

.MMD {
    background-color: #BB6FD1;
    color: white;
    padding: 30px 0;
}

.M {
    margin-bottom: 50px;
}

.download button {
    background-color: #BB6FD1;
    padding: 20px;
    font-size: 30px;
    border: 2px solid;
    width: 100%;
}

.mmdct {
    text-align: center;
    padding: 30px;
    width: 300px;
    border: white solid 3px;
    border-radius: 10px;
    /* justify-content: center;
    display: flex; */
    margin: 10px;
}

.download {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.video_gallery {
    display: flex;
    text-align: center;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.vcts {
    border: #ffffff solid 3px;
    color: white;
    background-color: #BB6FD1;
    border-radius: 10px;
    margin: 10px;
    padding: 10px;
    width: 590px;
}

.vcts h4 {
    font-size: 28px;
    padding: 10px;
}

.vcts iframe {
    border-radius: 10px;
}

#show-gallery-btn {
    display: block;
    margin: 20px auto;
    padding: 10px 20px;
    background-color: #9659a7;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 30px;
    width: 200px;
    text-align: center;
}


/* ここまでMMD */



.strms {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.ccts iframe {
    border-radius: 10px;
    margin: auto;
    display: block;
    background-color: #111;
    width: 100%;
}

.ccts {
    margin: auto;
    margin: 10px;
    border: 3px solid;
    padding: 40px;
    border-radius: 10px;
    width: 700px;
    opacity: 0;

}

.subtitle {
    text-align: center;
    font-size: 40px;

}

main {
    max-width: 1920px;
    margin: 0 auto;
}

.a {
    /* max-width: 1920px; */
    background-color: #BB6FD1;
}

.b {
    background-color: #9659a7;
}

.about,
.MMD {
    margin: 0 auto;
    max-width: 1920px;
}











footer {
    max-width: 1920px;
    margin: 0 auto;
    background-color: #9659a7;
    color: white;
    text-align: end;
    padding: 15px;
    font-size: 12px;
    font-family: "SmartFontUI";
    margin-top: 50px;
}





































@media screen and (max-width:1645px) {
    .box {
        text-align: center;
    }

    .bbox {
        display: block;
    }

    .main-visual-img {
        display: flex;
        margin: auto;
        width: 80vw;
    }
}

.tags {
    width: 100%;
}

@media screen and (max-width:600px) {

    .about {
        padding: 0;
    }

    .more {
        text-align: start;
        font-size: 50px;
    }

    .bbox img {
        width: 95%;
    }

    #top-container h1 {
        font-size: 50%;
    }

    .about_text {
        font-size: 100px;
    }

    .name {
        font-size: 50px;
    }

    .box p {
        font-size: 20px;
    }

    .about button {
        margin: 5px 5px;
    }

    .title {
        font-size: 15vw;
    }

    .tags {
        padding: 0;
    }

    .content21 {
        width: 200px;
    }

    .content21,
    .content22 {
        font-size: 30px;
    }

    .t1 {
        font-size: 250%;
    }

    .t2 {
        font-size: 200%;
    }

    .vcts {
        width: 90%;
    }

    .vcts iframe {
        width: 100%;
    }
}